### Hierarchy

- TranslateComponent

## Index

### Constructors

- constructor

### Properties

- el
- language
- params
- paramsJson
- string
- transform
- translate
- translation
- translationsLocation

### Methods

- componentDidLoad
- componentDidUpdate
- get
- postRender
- render
- set
- setTranslateService
- transformTranslation
- update

## Constructors

### constructor

- new TranslateComponent(): TranslateComponent

- - Defined in translate/translate.tsx:18

  #### Returns TranslateComponent

## Properties

### el

el: HTMLElement

- Defined in translate/translate.tsx:11

### language

language: string

- Defined in translate/translate.tsx:13

### params

params: string

- Defined in translate/translate.tsx:15

### paramsJson

paramsJson: string = "{}"

- Defined in translate/translate.tsx:16

### string

string: string

- Defined in translate/translate.tsx:14

### transform

transform: string = "none"

- Defined in translate/translate.tsx:17

### translate

translate: TranslateService

- Defined in translate/translate.tsx:9

### translation

translation: string

- Defined in translate/translate.tsx:12

### translationsLocation

translationsLocation: string

- Defined in translate/translate.tsx:18

## Methods

### componentDidLoad

- componentDidLoad(): void

- - Defined in translate/translate.tsx:24

  #### Returns void

### componentDidUpdate

- componentDidUpdate(): void

- - Defined in translate/translate.tsx:28

  #### Returns void

### get

- get(string: string): Promise<string>

- - Defined in translate/translate.tsx:63

  #### Parameters

  - ##### string: string

  #### Returns Promise<string>

### postRender

- postRender(): Promise<void>

- - Defined in translate/translate.tsx:32

  #### Returns Promise<void>

### render

- render(): any

- - Defined in translate/translate.tsx:99

  #### Returns any

### set

- set(string: string, language: string, transform: any): Promise<void>

- - Defined in translate/translate.tsx:68

  #### Parameters

  - ##### string: string

  - ##### language: string

  - ##### transform: any

  #### Returns Promise<void>

### setTranslateService

- setTranslateService(instance: any): Promise<void>

- - Defined in translate/translate.tsx:74

  #### Parameters

  - ##### instance: any

  #### Returns Promise<void>

### transformTranslation

- transformTranslation(type: string): void

- - Defined in translate/translate.tsx:84

  #### Parameters

  - ##### type: string

  #### Returns void

### update

- update(): Promise<void>

- - Defined in translate/translate.tsx:80

  #### Returns Promise<void>